# ma97_control_d Struct Reference

`#include <hsl_ma97d.h>`

List of all members.

## Public Attributes
int | f_arrays
int | action
int | nemin
ma97realtype_d_ | multiplier
int | ordering
int | print_level
int | scaling
ma97realtype_d_ | small
ma97realtype_d_ | u
int | unit_diagnostics
int | unit_error
int | unit_warning
long | factor_min
int | solve_blas3
long | solve_min
int | solve_mf
ma97realtype_d_ | consist_tol
int | ispare [5]
ma97realtype_d_ | rspare [10]

## Detailed Description

Definition at line 35 of file hsl_ma97d.h.

## Member Data Documentation

int ma97_control_d::f_arrays

Definition at line 36 of file hsl_ma97d.h.

int ma97_control_d::action

Definition at line 37 of file hsl_ma97d.h.

int ma97_control_d::nemin

Definition at line 39 of file hsl_ma97d.h.

ma97realtype_d_ ma97_control_d::multiplier

Definition at line 41 of file hsl_ma97d.h.

int ma97_control_d::ordering

Definition at line 42 of file hsl_ma97d.h.

int ma97_control_d::print_level

Definition at line 49 of file hsl_ma97d.h.

int ma97_control_d::scaling

Definition at line 50 of file hsl_ma97d.h.

ma97realtype_d_ ma97_control_d::small

Definition at line 51 of file hsl_ma97d.h.

ma97realtype_d_ ma97_control_d::u

Definition at line 52 of file hsl_ma97d.h.

int ma97_control_d::unit_diagnostics

Definition at line 53 of file hsl_ma97d.h.

int ma97_control_d::unit_error

Definition at line 54 of file hsl_ma97d.h.

int ma97_control_d::unit_warning

Definition at line 55 of file hsl_ma97d.h.

long ma97_control_d::factor_min

Definition at line 56 of file hsl_ma97d.h.

int ma97_control_d::solve_blas3

Definition at line 57 of file hsl_ma97d.h.

long ma97_control_d::solve_min

Definition at line 58 of file hsl_ma97d.h.

int ma97_control_d::solve_mf

Definition at line 59 of file hsl_ma97d.h.

ma97realtype_d_ ma97_control_d::consist_tol

Definition at line 60 of file hsl_ma97d.h.

int ma97_control_d::ispare[5]

Definition at line 63 of file hsl_ma97d.h.

ma97realtype_d_ ma97_control_d::rspare[10]

Definition at line 63 of file hsl_ma97d.h.

The documentation for this struct was generated from the following file:

- src/Algorithm/LinearSolvers/hsl_ma97d.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines